package com.red.circle.other.app.service.signin;

import com.red.circle.other.app.dto.clientobject.signin.CheckInResultCO;
import com.red.circle.other.app.dto.clientobject.signin.SignInStatusCO;
import com.red.circle.other.app.dto.cmd.signin.CheckInCmd;
import com.red.circle.other.app.dto.cmd.signin.SupplementCmd;

public interface SignInService {

    SignInStatusCO getStatus(Long userId);

    CheckInResultCO checkIn(CheckInCmd cmd);

    CheckInResultCO supplement(SupplementCmd cmd);
}
